<template>
    <div class="app-container">
      <van-nav-bar
        left-arrow
        fixed
        placeholder
        @click-left="$router.back(-1)"
        @click-right="goAdd"
      >
        <template #title>
          <p style="font-weight: bold;">农房利用情况</p>
        </template>
<!--        <template #right>-->
<!--          <van-icon name="add" size="18" />-->
<!--        </template>-->
      </van-nav-bar>
      <van-list
        v-model="loading"
        :finished="finished"
        finished-text="没有更多了"
        @load="getList"
      >
        <van-swipe-cell v-for="(item,index) in applicationList" :key="index">
          <van-cell :title="item.nmfwdm" center :to="{name:'utilizationDetail', query: {id:item.id}}" >
            <template #icon>
              <van-icon name="../../../static/images/onlineHome/icon_zjd5.png" size="30" color="#539FFD" style="margin-right: 10px;" />
            </template>
            <template #label>
              <p><b style="color: #7DDA4F;">{{item.lyzk}}</b><i style="margin-right: 0.5rem;"></i>{{item.fwzt}}<span style="float: right">{{item.dcsj}}</span></p>
            </template>
          </van-cell>
<!--          <template #right>-->
<!--            <van-row>-->
<!--              <van-col>-->
<!--                <van-button square text="修改" :to="{name:'utilizationModify', query: {id:item.id}}" type="info" class="delete-button" />-->
<!--              </van-col>-->
<!--              <van-col>-->
<!--                <van-button square text="删除" type="danger" class="delete-button"  @click="deleteList(item.id,index)" />-->
<!--              </van-col>-->
<!--            </van-row>-->
<!--          </template>-->
        </van-swipe-cell>
      </van-list>
    </div>
</template>

<script>
import { getList , nmfwlyRemove } from "@/api/onlineHome/homestead/utilization";
export default {
  name: "utilizationList",
  data() {
    return {
      applicationList:[],
      zjdlyzkStatus:[],
      loading: false,
      finished: false,
      queryParams:{
        pageNum:1,
        pageSize:10,
        orderByColumn:'createTime',
        isAsc:'desc'
      }
    };
  },
  created() {
    this.houseGetDicts("nmfwlyzk").then((res) => {
      console.log(res)
      this.zjdlyzkStatus = res.data;
    });
    this.houseGetDicts("fwzt").then((res) => {
      console.log(res)
      this.fwztStatus = res.data;
    });
  },
  methods: {
    goAdd(){
      window.location = 'utilizationAdd';
    },
    getList(){
      setTimeout(() => {
        getList(this.queryParams).then(response => {
          console.log(response)
          for (var i = 0; i < response.rows.length; i++) {
            response.rows[i].lyzk = this.selectDictLabel(this.zjdlyzkStatus, response.rows[i].lyzk)
            response.rows[i].fwzt = this.selectDictLabel(this.fwztStatus, response.rows[i].fwzt)
            this.applicationList.push(response.rows[i]);
          }
          if(this.applicationList.length >= response.total){
            this.finished = true;
            return;
          }else{
            this.loading = false;
            this.queryParams.pageNum += 1 ;
          }
        });
      }, 1000);
    },
    deleteList(id,index){
      this.$dialog.confirm({
        message: '您确认删除申请草稿？',
      })
      .then(() => {
        // on confirm
        this.applicationList.splice(index,1)
        nmfwlyRemove(id).then(res => {
          if(res.code = 200){
            this.$toast.success('删除成功');
          }
        });
      })
      .catch(() => {
        // on cancel
      });
    }
  },
}
</script>

<style scoped lang="scss">
  .app-container {
    padding: 0.2rem 3%;
  }
  /deep/.van-cell__title{
    flex: 1;
  }
  /deep/.van-cell__title span{
    font-family: Arial;
    font-size: 0.4rem;
    font-weight: normal;
  }
  /deep/.van-cell__value{
    flex: 0.3;
    color: #1D6FE9;
    font-weight: bold;
  }
  /deep/.van-swipe-cell{
    margin-bottom: 0.2rem;
    border-radius: 0.2rem;
    overflow: hidden;
    box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);
  }
  /deep/van-ellipsis{
    font-weight: bold;
  }
  .delete-button {
    height: 100%;
  }
  .van-row{
    height: 100%;
  }
  .van-col{
    height: 100%;
  }
</style>
